# Uses of Class
org.apache.sysds.hops.estim.MMNode

Packages that use MMNode
Package
Description
org.apache.sysds.hops.estim

## Uses of MMNode in org.apache.sysds.hops.estim

Methods in org.apache.sysds.hops.estim that return MMNode
Modifier and Type
Method
Description
`MMNode`
MMNode.`getLeft()`
`MMNode`
MMNode.`getRight()`
Methods in org.apache.sysds.hops.estim with parameters of type MMNode
Modifier and Type
Method
Description
`static DataCharacteristics`
EstimatorRowWise.`deriveOutputCharacteristics(MMNode node, double spOut)`
`DataCharacteristics`
EstimatorBasicAvg.`estim(MMNode root)`
`DataCharacteristics`
EstimatorBasicWorst.`estim(MMNode root)`
`DataCharacteristics`
EstimatorBitsetMM.`estim(MMNode root)`
`DataCharacteristics`
EstimatorDensityMap.`estim(MMNode root)`
`DataCharacteristics`
EstimatorLayeredGraph.`estim(MMNode root)`
`DataCharacteristics`
EstimatorMatrixHistogram.`estim(MMNode root)`
`DataCharacteristics`
EstimatorMatrixHistogram.`estim(MMNode root, boolean topLevel)`
`DataCharacteristics`
EstimatorRowWise.`estim(MMNode root)`
`DataCharacteristics`
EstimatorSample.`estim(MMNode root)`
`DataCharacteristics`
EstimatorSampleRa.`estim(MMNode root)`
`abstract DataCharacteristics`
SparsityEstimator.`estim(MMNode root)`
Estimates the output sparsity of a DAG of matrix multiplications for the given operator graph of a single root node.
`EstimatorLayeredGraph.LayeredGraph`
EstimatorLayeredGraph.`traverse(MMNode node)`
Constructors in org.apache.sysds.hops.estim with parameters of type MMNode
Modifier
Constructor
Description
``
`MMNode(MMNode left, MMNode right, SparsityEstimator.OpCode op)`
``
`MMNode(MMNode left, MMNode right, SparsityEstimator.OpCode op, long[] misc)`
``
`MMNode(MMNode left, SparsityEstimator.OpCode op)`
``
`MMNode(MMNode left, SparsityEstimator.OpCode op, long[] misc)`